Summary:	Pingus - A free Lemmings clone
Name:		pingus
Version:	0.7.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
URL:		http://pingus.seul.org
Source0:	http://pingus.googlecode.com/files/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
BuildRequires:	scons
BuildRequires:	boost-devel
BuildRequires:	SDL_mixer-devel 
BuildRequires:	SDL_image-devel
BuildRequires:	libpng-devel
BuildRequires:	physfs-devel
BuildRequires:	cwiid-devel

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses SDL,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen.

%prep
%setup -q

# sed -i 's/BINDIR="\$1\/bin\/"/BINDIR="\$1\/games"/' install.sh
# sed -i 's/DATADIR="\$1\/share\/pingus\/"/DATADIR="\$1\/share\/games\/pingus\/"/' install.sh

%build
%scons \
	prefix=%{_prefix} \
	execprefix=%{_gamesbindir} \
	datadir=%{_gamesdatadir}

%install
%makeinstall \
  DATADIR=%{buildroot}/%{_gamesdatadir}/%{name} \
  MANDIR=%{buildroot}/%{_mandir} \
  BINDIR=%{buildroot}/%{_gamesbindir}

install -m 755 -d %{buildroot}%{_datadir}/applications/

# workaround the fact this file contains bad stuff
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
#!/bin/sh
%{_gamesbindir}/%{name}.bin --datadir %{_gamesdatadir}/%{name}
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pingus
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

rm -f %{buildroot}%{_datadir}/locale/locale.alias

%files -f %{name}.lang
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.bin
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/pingus.6.*



%changelog

* Fri Dec 30 2011 supp <supp> 0.7.6-1.mga2
+ Revision: 188999
- update to 0.7.6

* Wed Dec 28 2011 wally <wally> 0.7.5-3.mga2
+ Revision: 188426
- drop unneeded guile BR

* Mon Nov 28 2011 fwang <fwang> 0.7.5-2.mga2
+ Revision: 173615
- rebuild for new boost

* Mon Oct 31 2011 zezinho <zezinho> 0.7.5-1.mga2
+ Revision: 160489
- new version

* Fri Oct 21 2011 zezinho <zezinho> 0.7.4-2.mga2
+ Revision: 157220
- fix start script

  + dmorgan <dmorgan>
    - Remove unneeded rpms stuffs

* Thu Oct 20 2011 zezinho <zezinho> 0.7.4-1.mga2
+ Revision: 157035
- remove patches corrected upstream
- fix source url
- new version

* Mon Sep 19 2011 fwang <fwang> 0.7.3-9.mga2
+ Revision: 145368
- fix build with libpng 1.5
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.7.3-7.mga2
+ Revision: 112032
- use mt flavour of boost
- rebuild for new boost

* Tue Apr 26 2011 wally <wally> 0.7.3-6.mga1
+ Revision: 91814
- use _real_vendor macro in desktop file name

  + supp <supp>
    - fix desktop file (mga#954)
    - remove buildroot definition

* Wed Apr 13 2011 nanardon <nanardon> 0.7.3-4.mga1
+ Revision: 84139
- increase release to obsolete mdv version

* Wed Mar 30 2011 supp <supp> 0.7.3-1.mga1
+ Revision: 79068
- remove obsolete cruft...
-m drop obsolete patch, submit

  + steletch <steletch>
    - imported package pingus

